ClassEmitter (cglib (Version 2.2.2))
Date: 2019-12-26

net.sf.cglib.core

## Class ClassEmitter

- java.lang.Object
- - org.objectweb.asm.ClassAdapter
  - - net.sf.cglib.core.ClassEmitter

- All Implemented Interfaces:
    org.objectweb.asm.ClassVisitor
  Direct Known Subclasses:
    ClassEmitterTransformer

      public class ClassEmitter
      extends org.objectweb.asm.ClassAdapter

  Author:
    Juozas Baliuka, Chris Nokleberg

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassEmitter()`
    `ClassEmitter(org.objectweb.asm.ClassVisitor cv)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin_class(int version, int access, java.lang.String className, org.objectweb.asm.Type superType, org.objectweb.asm.Type[] interfaces, java.lang.String source)`
    `CodeEmitter` | `begin_method(int access, Signature sig, org.objectweb.asm.Type[] exceptions)`
    `CodeEmitter` | `begin_static()`
    `void` | `declare_field(int access, java.lang.String name, org.objectweb.asm.Type type, java.lang.Object value)`
    `void` | `end_class()`
    `int` | `getAccess()`
    `ClassInfo` | `getClassInfo()`
    `org.objectweb.asm.Type` | `getClassType()`
    `CodeEmitter` | `getStaticHook()`
    `org.objectweb.asm.Type` | `getSuperType()`
    `void` | `setTarget(org.objectweb.asm.ClassVisitor cv)`
    `void` | `visit(int version, int access, java.lang.String name, java.lang.String signature, java.lang.String superName, java.lang.String[] interfaces)`
    `void` | `visitEnd()`
    `org.objectweb.asm.FieldVisitor` | `visitField(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.Object value)`
    `org.objectweb.asm.MethodVisitor` | `visitMethod(int access, java.lang.String name, java.lang.String desc, java.lang.String signature, java.lang.String[] exceptions)`

    - ### Methods inherited from class org.objectweb.asm.ClassAdapter

      `visitAnnotation, visitAttribute, visitInnerClass, visitOuterClass, visitSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassEmitter

          public ClassEmitter(org.objectweb.asm.ClassVisitor cv)

    - #### ClassEmitter

          public ClassEmitter()

  - ### Method Detail

    - #### setTarget

          public void setTarget(org.objectweb.asm.ClassVisitor cv)

    - #### getClassInfo

          public ClassInfo getClassInfo()

    - #### begin_class

          public void begin_class(int version,
                                  int access,
                                  java.lang.String className,
                                  org.objectweb.asm.Type superType,
                                  org.objectweb.asm.Type[] interfaces,
                                  java.lang.String source)

    - #### getStaticHook

          public CodeEmitter getStaticHook()

    - #### getAccess

          public int getAccess()

    - #### getClassType

          public org.objectweb.asm.Type getClassType()

    - #### getSuperType

          public org.objectweb.asm.Type getSuperType()

    - #### end_class

          public void end_class()

    - #### begin_method

          public CodeEmitter begin_method(int access,
                                          Signature sig,
                                          org.objectweb.asm.Type[] exceptions)

    - #### begin_static

          public CodeEmitter begin_static()

    - #### declare_field

          public void declare_field(int access,
                                    java.lang.String name,
                                    org.objectweb.asm.Type type,
                                    java.lang.Object value)

    - #### visit

          public void visit(int version,
                            int access,
                            java.lang.String name,
                            java.lang.String signature,
                            java.lang.String superName,
                            java.lang.String[] interfaces)

      Specified by:
        `visit` in interface `org.objectweb.asm.ClassVisitor`
      Overrides:
        `visit` in class `org.objectweb.asm.ClassAdapter`

    - #### visitEnd

          public void visitEnd()

      Specified by:
        `visitEnd` in interface `org.objectweb.asm.ClassVisitor`
      Overrides:
        `visitEnd` in class `org.objectweb.asm.ClassAdapter`

    - #### visitField

          public org.objectweb.asm.FieldVisitor visitField(int access,
                                                           java.lang.String name,
                                                           java.lang.String desc,
                                                           java.lang.String signature,
                                                           java.lang.Object value)

      Specified by:
        `visitField` in interface `org.objectweb.asm.ClassVisitor`
      Overrides:
        `visitField` in class `org.objectweb.asm.ClassAdapter`

    - #### visitMethod

          public org.objectweb.asm.MethodVisitor visitMethod(int access,
                                                             java.lang.String name,
                                                             java.lang.String desc,
                                                             java.lang.String signature,
                                                             java.lang.String[] exceptions)

      Specified by:
        `visitMethod` in interface `org.objectweb.asm.ClassVisitor`
      Overrides:
        `visitMethod` in class `org.objectweb.asm.ClassAdapter`

Copyright (c) 2001 - Apache Software Foundation